TRANSLATIONS = {
    # Module names
    "viur.shop.module.address": {
        "en": "Addresses",
        "de": "Adressen",
        # "_default_text": "",
        "_hint": "modulename: address",
    },
    "viur.shop.module.api": {
        "en": "API",
        "de": "API",
        "_hint": "modulename: api",
    },
    "viur.shop.module.cart": {
        "en": "Carts",
        "de": "Warenkörbe",
        "_hint": "modulename: cart",
    },
    "viur.shop.module.discount": {
        "en": "Discounts",
        "de": "Rabatte",
        "_hint": "modulename: discount",
    },
    "viur.shop.module.discount_condition": {
        "en": "Discount conditions",
        "de": "Rabattbedingungen",
        "_hint": "modulename: discount_condition",
    },
    "viur.shop.module.order": {
        "en": "Orders",
        "de": "Bestellungen",
        "_hint": "modulename: order",
    },
    "viur.shop.module.shipping": {
        "en": "Shipping",
        "de": "Versand",
        "_hint": "modulename: shipping",
    },
    "viur.shop.module.shipping_config": {
        "en": "Shipping configuration",
        "de": "Versandkonfiguration",
        "_hint": "modulename: shipping_config",
    },
    "viur.shop.module.vat": {
        "en": "Tax rates",
        "de": "Steuersätze",
        "_hint": "modulename: vat",
    },
    # Payment providers #TODO
    "viur.shop.payment_provider.unzer-card": {
        "_default_text": "Card via Unzer",
        "_hint": "viur-shop payment provider: unzer-card",
        "de": "Kreditkarte über Unzer",
    },
    "viur.shop.payment_provider.unzer-paypal": {
        "_default_text": "PayPal via Unzer",
        "_hint": "viur-shop payment provider: unzer-paypal",
    },
    "viur.shop.payment_provider.prepayment": {
        "_default_text": "Prepayment",
        "_hint": "viur-shop Prepayment",
        "de": "Vorkasse",
    },
    "viur.shop.payment_provider.prepayment.descr": {
        "_default_text": "Payment in advance",
        "de": "Bezahlen über Vorkasse",
    },
    # Enums
    # Availability
    "instock": {
        "en": "Instock",
        "fr": "En stock",
        "de": "Lieferbar",
        "_hint": "availability: instock",
    },
    "outofstock": {
        "en": "Out of stock",
        "fr": "Non disponible actuellement",
        "de": "Zur Zeit nicht lieferbar",
        "_hint": "availability: outofstock",
    },
    "limited": {
        "en": "Limited",
        "fr": "Limité",
        "de": "Lieferung verzögert",
        "_hint": "availability: limited",
    },
    "discontinued": {
        "en": "Discontinued",
        "fr": "Plus disponible",
        "de": "Nicht mehr verfügbar",
        "_hint": "availability: discontinued",
    },
    "preorder": {
        "en": "Preorder",
        "fr": "Bientôt disponible à nouveau",
        "de": "Vorbestellung möglich",
        "_hint": "availability: preorder",
    },
    # Cart type
    "wishlist": {
        "en": "Wishlist",
        "fr": "Favoris",
        "de": "Merkzettel",
        "_hint": "cart type: wishlist",
    },
    "basket": {
        "en": "Basket",
        "fr": "Panier",
        "de": "Warenkorb",
        "_hint": "cart type: basket",
    },
    # Costumer type
    "skeleton.address.customer_type.private": {
        "en": "Private customer",
        "fr": "Client privé",
        "de": "Privatkunde",
        "_hint": "costumer type: private"
    },
    "skeleton.address.customer_type.business": {
        "en": "Business customer",
        "fr": "Clientèle commerciale",
        "de": "Geschäftskunde",
        "_hint": "costumer type: business"
    },
    # Salutation
    "skeleton.address.salutation.female": {
        "en": "Mrs.",
        "fr": "Madame",
        "de": "Frau",
        "_hint": "salutation type: female"
    },
    "skeleton.address.salutation.male": {
        "en": "Mr.",
        "fr": "Monsieur",
        "de": "Herr",
        "_hint": "salutation type: male",
    },
    "skeleton.address.salutation.other": {
        "en": "Various",
        "fr": "Autres",
        "de": "Divers",
        "_hint": "salutation type: other"
    },
    # Address type
    "skeleton.address.address_type.shipping": {
        "en": "Shipping address",
        "fr": "Adresse de livraison",
        "de": "Lieferadresse",
        "_hint": "address type: shipping",
    },
    "skeleton.address.address_type.billing": {
        "en": "Billing address",
        "fr": "Adresse de facturation",
        "de": "Rechnungsadresse",
        "_hint": "address type: billing",
    },
    # Code type
    "skeleton.discountcondition.code_type.none": {
        "en": "No code",
        "de": "Kein Code",
        "_hint": "code type: none",
    },
    "skeleton.discountcondition.code_type.individual": {
        "en": "Individual code",
        "de": "Individueller Code",
        "_hint": "code type: individual",
    },
    "skeleton.discountcondition.code_type.universal": {
        "en": "Universal code",
        "de": "Universeller Code",
        "_hint": "code type: universal",
    },
    # Application domain
    "skeleton.discountcondition.application_domain.basket": {
        "en": "Apply to basket",
        "de": "Auf den Warenkorb anwenden",
        "fr": "",
    },
    "skeleton.discountcondition.application_domain.article": {
        "en": "Apply to article",
        "de": "Gilt für einen Artikel",
        "fr": "",
    },
    "skeleton.discountcondition.application_domain.all": {
        "en": "Apply to all articles",
        "de": "Gilt für alle Artikel",
        "fr": "",
    },
    # Bone names
    "viur.shop.skeleton.address.address_addition": {
        "_hint": "bone address_addition<StringBone> in AddressSkel in viur.shop",
        "de": "Adresszusatz",
        "en": "Address addition",
        "fr": "Adresse supplémentaire",
    },
    "viur.shop.skeleton.address.address_type": {
        "_hint": "bone address_type<SelectBone> in AddressSkel in viur.shop",
        "de": "Anschriftart",
        "en": "Address type",
        "fr": "",
    },
    "viur.shop.skeleton.address.city": {
        "_hint": "bone city<StringBone> in AddressSkel in viur.shop",
        "de": "Stadt",
        "en": "City",
        "fr": "Ville",
    },
    "viur.shop.skeleton.address.cloned_from": {
        "_hint": "bone cloned_from<RelationalBone> in AddressSkel in viur.shop",
        "de": "Geklont von",
        "en": "Cloned from",
        "fr": "",
    },
    "viur.shop.skeleton.address.company_name": {
        "_hint": "bone company_name<StringBone> in AddressSkel in viur.shop",
        "de": "Firmenname",
        "en": "Company name",
        "fr": "",
    },
    "viur.shop.skeleton.address.country": {
        "_hint": "bone country<SelectCountryBone> in AddressSkel in viur.shop",
        "de": "Land",
        "en": "Country",
        "fr": "Pays",
    },
    "viur.shop.skeleton.address.customer": {
        "_hint": "bone customer<RelationalBone> in AddressSkel in viur.shop",
        "de": "Kunde",
        "en": "Customer",
        "fr": "",
    },
    "viur.shop.skeleton.address.customer_type": {
        "_hint": "bone customer_type<SelectBone> in AddressSkel in viur.shop",
        "de": "Kundentyp",
        "en": "Customer type",
        "fr": "",
    },
    "viur.shop.skeleton.address.firstname": {
        "_hint": "bone firstname<StringBone> in AddressSkel in viur.shop",
        "de": "Vorname",
        "en": "Firstname",
        "fr": "Prénom",
    },
    "viur.shop.skeleton.address.is_default": {
        "_hint": "bone is_default<BooleanBone> in AddressSkel in viur.shop",
        "de": "Standard Adresse",
        "en": "Default adress",
        "fr": "",
    },
    "viur.shop.skeleton.address.lastname": {
        "_hint": "bone lastname<StringBone> in AddressSkel in viur.shop",
        "de": "Nachname",
        "en": "Lastname",
        "fr": "Nom",
    },
    "viur.shop.skeleton.address.salutation": {
        "_hint": "bone salutation<SelectBone> in AddressSkel in viur.shop",
        "de": "Anrede",
        "en": "Salutation",
        "fr": "Civilité",
    },
    "viur.shop.skeleton.address.street_name": {
        "_hint": "bone street_name<StringBone> in AddressSkel in viur.shop",
        "de": "Strassenname",
        "en": "Street name",
        "fr": "Rue.",
    },
    "viur.shop.skeleton.address.street_number": {
        "_hint": "bone street_number<StringBone> in AddressSkel in viur.shop",
        "de": "Hausnummer",
        "en": "Street number",
        "fr": "Non.",
    },
    "viur.shop.skeleton.address.zip_code": {
        "_hint": "bone zip_code<StringBone> in AddressSkel in viur.shop",
        "de": "Postleitzahl",
        "en": "Zip code",
        "fr": "Code postal",
    },
    "viur.shop.skeleton.cartitem.article": {
        "_hint": "bone article<RelationalBone> in CartItemSkel in viur.shop",
        "de": "Artikel",
        "en": "Article",
        "fr": "Article",
    },
    "viur.shop.skeleton.cartitem.price": {
        "_hint": "bone price<RawBone> in CartItemSkel in viur.shop",
        "de": "Preis",
        "en": "Price",
        "fr": "Prix",
    },
    "viur.shop.skeleton.cartitem.project_data": {
        "_hint": "bone project_data<JsonBone> in CartItemSkel in viur.shop",
        "de": "Projektdaten",
        "en": "Project data",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.quantity": {
        "_hint": "bone quantity<NumericBone> in CartItemSkel in viur.shop",
        "de": "Menge",
        "en": "Quantity",
        "fr": "Quantité",
    },
    "viur.shop.skeleton.cartitem.shop_art_no_or_gtin": {
        "_hint": "bone shop_art_no_or_gtin<StringBone> in CartItemSkel in viur.shop",
        "de": "Artikelnummer oder GTIN",
        "en": "Shop art no or gtin",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.shop_availability": {
        "_hint": "bone shop_availability<SelectBone> in CartItemSkel in viur.shop",
        "de": "Verfügbarkeit",
        "en": "Shop availability",
        "fr": "Disponibilité",
    },
    "viur.shop.skeleton.cartitem.shop_description": {
        "_hint": "bone shop_description<TextBone> in CartItemSkel in viur.shop",
        "de": "Beschreibung",
        "en": "Shop description",
        "fr": "Description",
    },
    "viur.shop.skeleton.cartitem.shop_image": {
        "_hint": "bone shop_image<FileBone> in CartItemSkel in viur.shop",
        "de": "Bild",
        "en": "Shop image",
        "fr": "Image",
    },
    "viur.shop.skeleton.cartitem.shop_is_low_price": {
        "_hint": "bone shop_is_low_price<BooleanBone> in CartItemSkel in viur.shop",
        "de": "Ist Preisgünstig",
        "en": "Shop is low price",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.shop_is_weee": {
        "_hint": "bone shop_is_weee<BooleanBone> in CartItemSkel in viur.shop",
        "de": "Elektrogerät",
        "en": "Shop is weee",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.shop_listed": {
        "_hint": "bone shop_listed<BooleanBone> in CartItemSkel in viur.shop",
        "de": "Gelistet",
        "en": "Shop listed",
        "fr": "répertorié",
    },
    "viur.shop.skeleton.cartitem.shop_name": {
        "_hint": "bone shop_name<StringBone> in CartItemSkel in viur.shop",
        "de": "Name",
        "en": "Shop name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.cartitem.shop_price_recommended": {
        "_hint": "bone shop_price_recommended<NumericBone> in CartItemSkel in viur.shop",
        "de": "Unverbindliche Preisempfehlung (UVP)",
        "en": "Shop price recommended",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.shop_price_retail": {
        "_hint": "bone shop_price_retail<NumericBone> in CartItemSkel in viur.shop",
        "de": "Verkausfspreis",
        "en": "Shop price retail",
        "fr": "",
    },
    "viur.shop.skeleton.cartitem.shop_shipping_config": {
        "_hint": "bone shop_shipping<RelationalBone> in CartItemSkel in viur.shop",
        "de": "Versand Konfiguration",
        "en": "Shop shipping configuration",
    },
    "viur.shop.skeleton.cartitem.shop_shipping": {
        "_hint": "bone shop_shipping<RelationalBone> in CartItemSkel in viur.shop",
        "de": "Versand",
        "en": "Shop shipping",
        "fr": "de frais de port",
    },
    "viur.shop.skeleton.cartitem.shop_vat": {
        "_hint": "bone shop_vat<RelationalBone> in CartItemSkel in viur.shop",
        "de": "Mehrwertsteuer",
        "en": "Shop vat",
        "fr": "Taxe sur la valeur ajoutée ",
    },
    "viur.shop.skeleton.cartnode.cart_type": {
        "_hint": "bone cart_type<SelectBone> in CartNodeSkel in viur.shop",
        "de": "Warenkorbtyp",
        "en": "Cart type",
        "fr": "",
    },
    "viur.shop.skeleton.cartnode.customer_comment": {
        "_hint": "bone customer_comment<TextBone> in CartNodeSkel in viur.shop",
        "de": "Kundenkommentar",
        "en": "Customer comment",
        "fr": "",
    },
    "viur.shop.skeleton.cartnode.discount": {
        "_hint": "bone discount<RelationalBone> in CartNodeSkel in viur.shop",
        "de": "Rabatt",
        "en": "Discount",
        "fr": "réduction",
    },
    "viur.shop.skeleton.cartnode.is_root_node": {
        "_hint": "bone is_root_node<BooleanBone> in CartNodeSkel in viur.shop",
        "de": "Warenkorbstamm",
        "en": "Is root node",
        "fr": "",
    },
    "viur.shop.skeleton.cartnode.name": {
        "_hint": "bone name<StringBone> in CartNodeSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.cartnode.shipping": {
        "_hint": "bone shipping<RelationalBone> in CartNodeSkel in viur.shop",
        "de": "Versand",
        "en": "Shipping",
        "fr": "de frais de port",
    },
    "viur.shop.skeleton.cartnode.shipping_address": {
        "_hint": "bone shipping_address<RelationalBone> in CartNodeSkel in viur.shop",
        "de": "Versandadresse",
        "en": "Shipping address",
        "fr": "Adresse de livraison",
    },
    "viur.shop.skeleton.cartnode.total": {
        "_hint": "bone total<NumericBone> in CartNodeSkel in viur.shop",
        "de": "Insgesamt",
        "en": "Total",
        "fr": "Total",
    },
    "viur.shop.skeleton.cartnode.total_quantity": {
        "_hint": "bone total_quantity<NumericBone> in CartNodeSkel in viur.shop",
        "de": "Gesamtmenge",
        "en": "Total quantity",
        "fr": "",
    },
    "viur.shop.skeleton.cartnode.vat_rate": {
        "_hint": "bone vat_rate<RelationalBone> in CartNodeSkel in viur.shop",
        "de": "Mehrwertsteuersatz",
        "en": "Vat rate",
        "fr": "",
    },
    "viur.shop.skeleton.cartnode.vat_total": {
        "_hint": "bone vat_total<NumericBone> in CartNodeSkel in viur.shop",
        "de": "Mehrwertsteuer gesamt",
        "en": "Vat total",
        "fr": "",
    },
    "viur.shop.skeleton.discount.absolute": {
        "_hint": "bone absolute<NumericBone> in DiscountSkel in viur.shop",
        "de": "Absolut",
        "en": "Absolute",
        "fr": "Absolut",
    },
    "viur.shop.skeleton.discount.activate_automatically": {
        "_hint": "bone activate_automatically<BooleanBone> in DiscountSkel in viur.shop",
        "de": "Automatisch aktivieren",
        "en": "Activate automatically",
        "fr": "Activer automatiquement",
    },
    "viur.shop.skeleton.discount.condition": {
        "_hint": "bone condition<RelationalBone> in DiscountSkel in viur.shop",
        "de": "Bedingung",
        "en": "Condition",
        "fr": "Condition",
    },
    "viur.shop.skeleton.discount.condition_operator": {
        "_hint": "bone condition_operator<SelectBone> in DiscountSkel in viur.shop",
        "de": "Bedingungsoperator",
        "en": "Condition operator",
        "fr": "",
    },
    "viur.shop.skeleton.discount.description": {
        "_hint": "bone description<TextBone> in DiscountSkel in viur.shop",
        "de": "Beschreibung",
        "en": "Description",
        "fr": "Description",
    },
    "viur.shop.skeleton.discount.discount_type": {
        "_hint": "bone discount_type<SelectBone> in DiscountSkel in viur.shop",
        "de": "Rabattart",
        "en": "Discount type",
        "fr": "",
    },
    "viur.shop.skeleton.discount.free_article": {
        "_hint": "bone free_article<RelationalBone> in DiscountSkel in viur.shop",
        "de": "Gratisartikel",
        "en": "Free article",
        "fr": "Article gratuit",
    },
    "viur.shop.skeleton.discount.name": {
        "_hint": "bone name<StringBone> in DiscountSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.discount.percentage": {
        "_hint": "bone percentage<NumericBone> in DiscountSkel in viur.shop",
        "de": "Prozentsatz",
        "en": "Percentage",
        "fr": "Pourcentage",
    },
    "viur.shop.skeleton.discountcondition.application_domain": {
        "_hint": "bone application_domain<SelectBone> in DiscountConditionSkel in viur.shop",
        "de": "Anwendungsbereich",
        "en": "Application domain",
        "fr": "Champ d'application",
    },
    "viur.shop.skeleton.discountcondition.code_type": {
        "_hint": "bone code_type<SelectBone> in DiscountConditionSkel in viur.shop",
        "de": "Code-Art",
        "en": "Code type",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.description": {
        "_hint": "bone description<TextBone> in DiscountConditionSkel in viur.shop",
        "de": "Beschreibung",
        "en": "Description",
        "fr": "Description",
    },
    "viur.shop.skeleton.discountcondition.individual_codes_amount": {
        "_hint": "bone individual_codes_amount<NumericBone> in DiscountConditionSkel in viur.shop",
        "de": "Menge einzelner Codes",
        "en": "Individual codes amount",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.individual_codes_prefix": {
        "_hint": "bone individual_codes_prefix<StringBone> in DiscountConditionSkel in viur.shop",
        "de": "Präfix einzelner Codes",
        "en": "Individual codes prefix",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.is_subcode": {
        "_hint": "bone is_subcode<BooleanBone> in DiscountConditionSkel in viur.shop",
        "de": "Ist Untercode",
        "en": "Is subcode",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.name": {
        "_hint": "bone name<StringBone> in DiscountConditionSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.discountcondition.parent_code": {
        "_hint": "bone parent_code<RelationalBone> in DiscountConditionSkel in viur.shop",
        "de": "Eltern-Code",
        "en": "Parent code",
        "fr": "Code parental",
    },
    "viur.shop.skeleton.discountcondition.quantity_used": {
        "_hint": "bone quantity_used<NumericBone> in DiscountConditionSkel in viur.shop",
        "de": "verwendete Menge",
        "en": "Quantity used",
        "fr": "quantité utilisée",
    },
    "viur.shop.skeleton.discountcondition.quantity_volume": {
        "_hint": "bone quantity_volume<NumericBone> in DiscountConditionSkel in viur.shop",
        "de": "Mengen Volumen",
        "en": "Quantity volume",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_article": {
        "_hint": "bone scope_article<RelationalBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Artikel",
        "en": "Scope article",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_code": {
        "_hint": "bone scope_code<StringBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Code",
        "en": "Scope code",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_combinable_low_price": {
        "_hint": "bone scope_combinable_low_price<BooleanBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich kombinierbarer niedrig Preis",
        "en": "Scope combinable low price",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_combinable_other_discount": {
        "_hint": "bone scope_combinable_other_discount<BooleanBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich kombinierbarer anderer Rabatte",
        "en": "Scope combinable other discount",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_country": {
        "_hint": "bone scope_country<SelectCountryBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Land",
        "en": "Scope country",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_customer_group": {
        "_hint": "bone scope_customer_group<SelectBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Kundengruppe",
        "en": "Scope customer group",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_date_end": {
        "_hint": "bone scope_date_end<DateBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Enddatum",
        "en": "Scope date end",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_date_start": {
        "_hint": "bone scope_date_start<DateBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Anfangsdatum",
        "en": "Scope date start",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_language": {
        "_hint": "bone scope_language<SelectBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Sprache",
        "en": "Scope language",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_minimum_order_value": {
        "_hint": "bone scope_minimum_order_value<NumericBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Mindestbestellwert",
        "en": "Scope minimum order value",
        "fr": "",
    },
    "viur.shop.skeleton.discountcondition.scope_minimum_quantity": {
        "_hint": "bone scope_minimum_quantity<NumericBone> in DiscountConditionSkel in viur.shop",
        "de": "Geltungsbereich Mindestmenge",
        "en": "Scope minimum quantity",
        "fr": "",
    },
    "viur.shop.skeleton.order.billing_address": {
        "_hint": "bone billing_address<RelationalBone> in OrderSkel in viur.shop",
        "de": "Rechnungsadresse",
        "en": "Billing address",
        "fr": "Données personnelles",
    },
    "viur.shop.skeleton.order.cart": {
        "_hint": "bone cart<RelationalBone> in OrderSkel in viur.shop",
        "de": "Warenkorb",
        "en": "Cart",
        "fr": "Panier",
    },
    "viur.shop.skeleton.order.customer": {
        "_hint": "bone customer<RelationalBone> in OrderSkel in viur.shop",
        "de": "Kunde",
        "en": "Customer",
        "fr": "Client",
    },
    "viur.shop.skeleton.order.email": {
        "_hint": "bone email<EmailBone> in OrderSkel in viur.shop",
        "de": "Email",
        "en": "Email",
        "fr": "Email",
    },
    "viur.shop.skeleton.order.is_ordered": {
        "_hint": "bone is_ordered<BooleanBone> in OrderSkel in viur.shop",
        "de": "Ist bestellt",
        "en": "Is ordered",
        "fr": "",
    },
    "viur.shop.skeleton.order.is_paid": {
        "_hint": "bone is_paid<BooleanBone> in OrderSkel in viur.shop",
        "de": "Ist bezahlt",
        "en": "Is paid",
        "fr": "",
    },
    "viur.shop.skeleton.order.is_rts": {
        "_hint": "bone is_rts<BooleanBone> in OrderSkel in viur.shop",
        "de": "Ist versandbereit",
        "en": "Is rts",
        "fr": "",
    },
    "viur.shop.skeleton.order.order_uid": {
        "_hint": "bone order_uid<StringBone> in OrderSkel in viur.shop",
        "de": "Bestell UID",
        "en": "Order uid",
        "fr": "",
    },
    "viur.shop.skeleton.order.payment": {
        "_hint": "bone payment<JsonBone> in OrderSkel in viur.shop",
        "de": "Zahlung",
        "en": "Payment",
        "fr": "Facture",
    },
    "viur.shop.skeleton.order.payment_provider": {
        "_hint": "bone payment_provider<SelectBone> in OrderSkel in viur.shop",
        "de": "Zahlungsanbieter",
        "en": "Payment provider",
        "fr": "Mode de paiement",
    },
    "viur.shop.skeleton.order.project_data": {
        "_hint": "bone project_data<JsonBone> in OrderSkel in viur.shop",
        "de": "Projektdaten",
        "en": "Project data",
        "fr": "",
    },
    "viur.shop.skeleton.order.state": {
        "_hint": "bone state<SelectBone> in OrderSkel in viur.shop",
        "de": "Zustand",
        "en": "State",
        "fr": "état",
    },
    "viur.shop.skeleton.order.total": {
        "_hint": "bone total<NumericBone> in OrderSkel in viur.shop",
        "de": "Insgesamt",
        "en": "Total",
        "fr": "Total",
    },
    "viur.shop.skeleton.shipping.delivery_time_max": {
        "_hint": "bone delivery_time_max<NumericBone> in ShippingSkel in viur.shop",
        "de": "Maximale Lieferdauer",
        "en": "Delivery time max",
        "fr": "",
    },
    "viur.shop.skeleton.shipping.delivery_time_min": {
        "_hint": "bone delivery_time_min<NumericBone> in ShippingSkel in viur.shop",
        "de": "Kürzeste Lieferdauer",
        "en": "Delivery time min",
        "fr": "",
    },
    "viur.shop.skeleton.shipping.description": {
        "_hint": "bone description<TextBone> in ShippingSkel in viur.shop",
        "de": "Beschreibung",
        "en": "Description",
        "fr": "Description",
    },
    "viur.shop.skeleton.shipping.name": {
        "_hint": "bone name<StringBone> in ShippingSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.shipping.shipping_cost": {
        "_hint": "bone shipping_cost<NumericBone> in ShippingSkel in viur.shop",
        "de": "Versandkosten",
        "en": "Shipping cost",
        "fr": "Frais d'expédition",
    },
    "viur.shop.skeleton.shipping.supplier": {
        "_hint": "bone supplier<SelectBone> in ShippingSkel in viur.shop",
        "de": "Lieferant",
        "en": "Supplier",
        "fr": "",
    },
    "viur.shop.skeleton.shippingconfig.name": {
        "_hint": "bone name<StringBone> in ShippingConfigSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.shippingconfig.shipping": {
        "_hint": "bone shipping_skel<RelationalBone> in ShippingConfigSkel in viur.shop",
        "de": "Versand",
        "en": "Shipping",
    },
    "viur.shop.skeleton.vat.name": {
        "_hint": "bone name<StringBone> in VatSkel in viur.shop",
        "de": "Name",
        "en": "Name",
        "fr": "Nom",
    },
    "viur.shop.skeleton.vat.rate": {
        "_hint": "bone rate<NumericBone> in VatSkel in viur.shop",
        "de": "Steuersatz (%)",
        "en": "Rate",
        "fr": "Taux d'imposition",
    },
    "viur.shop.stepper.next": {
        "_hint": "button that brings the customer to the next step",
        "de": "Nächster Schritt",
        "en": "Next",
    },
    "viur.shop.stepper.previous": {
        "_hint": "button that brings the customer to the previous step",
        "de": "Zurück",
        "en": "Previous",
    },
    "viur.shop.cart_leaf.quantity": {
        "_hint": "label of quantity",
        "de": "Anzahl",
        "en": "quantity",
        "fr": "Quantité"
    },
    "viur.shop.cart_leaf.unit_price": {
        "_hint": "label of unit price",
        "de": "Stückpreis",
        "en": "unit price",
        "fr": "Prix par pièce"
    },
    "viur.shop.cart_leaf.price": {
        "_hint": "label of price",
        "de": "Gesamtpreis",
        "en": "total price",
        "fr": "Montant total"
    },
    "viur.shop.cart_leaf.delete": {
        "_hint": "label of delete button",
        "de": "Aus dem Warenkorb löschen",
        "en": "Remove from cart",
        "fr": "Retirer du panier"
    },
    "viur.shop.cart.delete_item.hint": {
        "_hint": "hint of delete message dialog",
        "de": "Möchten Sie diesen Artikel wirklich aus dem Warenkorb entfernen?",
        "en": "Do you really want to remove the item from your cart?",
        "fr": "Désirez-vous vraiment supprimer cet article du panier?"
    },
    "viur.shop.cart.delete_item.cancel": {
        "_hint": "cancel deleting an item from the cart",
        "de": "Abbrechen",
        "en": "Cancel"
    },
    "viur.shop.cart.delete_item.proceed": {
        "_hint": "proceed deleting an item from the cart",
        "de": "Artikel entfernen",
        "en": "Proceed"
    },
    "viur.shop.summary.headline": {
        "_hint": "headline of summary",
        "de": "Zusammenfassung",
        "en": "Summary"
    },
    "viur.shop.summary.subtotal": {
        "_hint": "label of subtotal",
        "de": "Zwischensumme",
        "en": "subtotal",
        "fr": "Sous-total"
    },
    "viur.shop.summary.discount": {
        "_hint": "label of discount",
        "de": "Sie sparen im Aktionszeitraum",
        "en": "discount",
        "fr": "Vous économisez sur votre achat"
    },
    "viur.shop.summary.shipping_cost": {
        "_hint": "label of shipping cost",
        "de": "Verpackung und Versand",
        "en": "Shipping cost",
        "fr": "Emballage et envoi"
    },
    "viur.shop.summary.total": {
        "_hint": "label of total",
        "de": "Gesamtbetrag",
        "en": "total",
        "fr": "Montant total"
    },
    "viur.shop.summary.checkout": {
        "_hint": "label of checkout button",
        "de": "Zur Kasse gehen",
        "en": "Proceed to checkout",
        "fr": "Acheter cet article"
    },
    "viur.shop.discount.headline": {
        "_hint": "headline of discount section",
        "de": "Rabattcode",
        "en": "discount code",
        "fr": "Code promo"
    },
    "viur.shop.discount.placeholder": {
        "_hint": "placeholder of discount input",
        "de": "Dein Code",
        "en": "Your code",
        "fr": "Votre code"
    },
    "viur.shop.discount.button": {
        "_hint": "placeholder of discount input",
        "de": "Einlösen",
        "en": "Redeem",
        "fr": "Valider"
    },
    "viur.shop.discount.none": {
        "_hint": "",
        "de": "Einlösen",
        "en": "Redeem",
        "fr": "Valider"
    },
    "viur.shop.userdata.shipping_to_billaddress": {
        "_hint": "",
        "de": "Lieferung zur&nbsp;<strong>Rechnungsadresse</strong>",
        "en": "Ship to billing address",
        "fr": "Livraison à&nbsp;<strong>l'adresse de facturation</strong>"
    },
}
"""Initial translations used inside the shop"""
